VkImageCreateInfo Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkImageCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkImageCreateFlags | flags
VkImageType | imageType
VkFormat | format
VkExtent3D | extent
uint32_t | mipLevels
uint32_t | arrayLayers
VkSampleCountFlagBits | samples
VkImageTiling | tiling
VkImageUsageFlags | usage
VkSharingMode | sharingMode
uint32_t | queueFamilyIndexCount
const uint32_t * | pQueueFamilyIndices
VkImageLayout | initialLayout

## Detailed Description

Definition at line 2216 of file vulkan_core.h.

## Field Documentation

## arrayLayers

uint32_t VkImageCreateInfo::arrayLayers

Definition at line 2224 of file vulkan_core.h.

## extent

VkExtent3D VkImageCreateInfo::extent

Definition at line 2222 of file vulkan_core.h.

## flags

VkImageCreateFlags VkImageCreateInfo::flags

Definition at line 2219 of file vulkan_core.h.

## format

VkFormat VkImageCreateInfo::format

Definition at line 2221 of file vulkan_core.h.

## imageType

VkImageType VkImageCreateInfo::imageType

Definition at line 2220 of file vulkan_core.h.

## initialLayout

VkImageLayout VkImageCreateInfo::initialLayout

Definition at line 2231 of file vulkan_core.h.

## mipLevels

uint32_t VkImageCreateInfo::mipLevels

Definition at line 2223 of file vulkan_core.h.

## pNext

const void* VkImageCreateInfo::pNext

Definition at line 2218 of file vulkan_core.h.

## pQueueFamilyIndices

const uint32_t* VkImageCreateInfo::pQueueFamilyIndices

Definition at line 2230 of file vulkan_core.h.

## queueFamilyIndexCount

uint32_t VkImageCreateInfo::queueFamilyIndexCount

Definition at line 2229 of file vulkan_core.h.

## samples

VkSampleCountFlagBits VkImageCreateInfo::samples

Definition at line 2225 of file vulkan_core.h.

## sharingMode

VkSharingMode VkImageCreateInfo::sharingMode

Definition at line 2228 of file vulkan_core.h.

## sType

VkStructureType VkImageCreateInfo::sType

Definition at line 2217 of file vulkan_core.h.

## tiling

VkImageTiling VkImageCreateInfo::tiling

Definition at line 2226 of file vulkan_core.h.

## usage

VkImageUsageFlags VkImageCreateInfo::usage

Definition at line 2227 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h